Skip to main content

Experience Version Actions

https://api.app.wnology.io/applications/APPLICATION_ID/experience/versions/EXPERIENCE_VERSION_ID_OR_NAME

Below are the various requests that can be performed against the Experience Version resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an experience version

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/experience/versions/EXPERIENCE_VERSION_ID_OR_NAME

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.cli, all.Organization, all.User, all.User.cli, experienceVersion.*, or experienceVersion.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_VERSION_ID_OR_NAMEVersion ID or version name associated with the experience version575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/versions/EXPERIENCE_VERSION_ID_OR_NAME

Successful Responses​

CodeTypeDescription
200SuccessIf experience version was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience version was not found

Get​

Retrieves information on an experience version

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/experience/versions/EXPERIENCE_VERSION_ID_OR_NAME

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.cli, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.cli, all.User.read, experienceVersion.*, or experienceVersion.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_VERSION_ID_OR_NAMEVersion ID or version name associated with the experience version575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/versions/EXPERIENCE_VERSION_ID_OR_NAME

Successful Responses​

CodeTypeDescription
200Experience VersionExperience version information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience version was not found

Patch​

Updates information about an experience version

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/experience/versions/EXPERIENCE_VERSION_ID_OR_NAME

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.cli, all.Organization, all.User, all.User.cli, experienceVersion.*, or experienceVersion.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_VERSION_ID_OR_NAMEVersion ID or version name associated with the experience version575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience Version Patch schema. For example, the following would be a valid body for this request:

{
"endpointDefaultCors": false
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"endpointDefaultCors":false}' \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/versions/EXPERIENCE_VERSION_ID_OR_NAME

Successful Responses​

CodeTypeDescription
200Experience VersionUpdated experience version information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience version was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Experience Version​

      Schema for a single Experience Version

      Experience Version Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 19 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 1 key
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 4 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys

                                            Experience Version Example​

                                            • ▶
                                              {} 9 keys
                                              • "5b995ec6ea9994b50d745285"
                                              • "5b995ec6ea9994b50d745285"
                                              • "575ec8687ae143cd83dc4a97"
                                              • "2016-06-13T04:00:00.000Z"
                                              • "2016-06-13T04:00:00.000Z"
                                              • "myVersionName"
                                              • true
                                              • ▶
                                                [] 1 item
                                                • ▶
                                                  [] 1 item

                                                Experience Version Patch​

                                                Schema for the body of an Experience Version modification request

                                                Experience Version Patch Schema​

                                                • ▶
                                                  {} 4 keys
                                                  • "http://json-schema.org/draft-07/schema#"
                                                  • "object"
                                                  • ▶
                                                    {} 8 keys
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 3 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 1 key
                                                            • ▶
                                                              {} 1 key
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 3 keys
                                                                  • ▶
                                                                    {} 4 keys
                                                                  • false

                                                                Experience Version Patch Example​

                                                                • ▶
                                                                  {} 1 key
                                                                  • false

                                                                Success​

                                                                Schema for reporting a successful operation

                                                                Success Schema​

                                                                • ▶
                                                                  {} 3 keys
                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                  • "object"
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 2 keys

                                                                  Success Example​

                                                                  • ▶
                                                                    {} 1 key
                                                                    • true

                                                                  Was this page helpful?


                                                                  Still looking for help? You can also search the WEGnology Forums or submit your question there.